﻿// Bitground Software common helpers library
// http://www.bitground.com/
// 
// Copyright 2010, Sorin Ostafiev
// http://www.ostafiev.com/
// 
// Released under GPL version 3 license
// http://www.gnu.org/licenses/gpl-3.0.txt


using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Bitground.Common.Helpers
{
    internal abstract class HMACSHA512
    {
        public static byte[] Hash(byte[] key, byte[] ar)
        {
            return new System.Security.Cryptography.HMACSHA512(key).ComputeHash(ar);
        }
    }
}
