// Bitground Software common helpers library
// http://www.bitground.com/
// 
// Copyright 2010, Sorin Ostafiev
// http://www.ostafiev.com/
// 
// Released under GPL version 3 license
// http://www.gnu.org/licenses/gpl-3.0.txt


using System;
using System.Collections.Generic;
using System.Text;

namespace Bitground.Common.Helpers
{
    public class CException : Exception
    {
        public CException()
            : base()
        {
        }

        public CException(string strMessage)
            : base(strMessage)
        {
        }

        public CException(string strFormat, params object[] arParams)
            : this(String.Format(strFormat, arParams))
        {
        }
    }
}
