﻿// Bitground Software common helpers library
// http://www.bitground.com/
// 
// Copyright 2010, Sorin Ostafiev
// http://www.ostafiev.com/
// 
// Released under GPL version 3 license
// http://www.gnu.org/licenses/gpl-3.0.txt


using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Bitground.Common.Helpers
{
    public static partial class Extensions
    {
        public static T[] SubArray<T>(this T[] data, int index, int length)
        {
            // taken from: http://stackoverflow.com/questions/943635/c-arrays-getting-a-sub-array-from-an-existing-array
            T[] result = new T[length];
            Array.Copy(data, index, result, 0, length);
            return result;
        }
    }
}
