﻿// Bitground Software common helpers library
// http://www.bitground.com/
// 
// Copyright 2010, Sorin Ostafiev
// http://www.ostafiev.com/
// 
// Released under GPL version 3 license
// http://www.gnu.org/licenses/gpl-3.0.txt


using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Reflection;

namespace Bitground.Common.Helpers
{
    public abstract class Params
    {
        public static string GetObjectAsString(
            Object o)
        {
            return Json.Encode(o);
        }

        public static bool CanLog
        {
            get
            {
                return Log.CanLogInfo;
            }
        }

        public static void LogInfo(string message, params object[] data)
        {
            Log.Info(message, data);
        }
    }
}
