// Bitground Software common helpers library
// http://www.bitground.com/
// 
// Copyright 2010, Sorin Ostafiev
// http://www.ostafiev.com/
// 
// Released under GPL version 3 license
// http://www.gnu.org/licenses/gpl-3.0.txt


using System;
using System.Collections.Generic;
using System.Text;
using System.Data;

namespace Bitground.Common.Helpers
{
    public abstract class Nulls
    {
        public const Int32 Int32 = System.Int32.MinValue;
        public const Int64 Int64 = System.Int64.MinValue;
        public const string String = null;
        public static readonly System.DateTime DateTime = /*DateTime.MinValue*/ new System.DateTime(1900, 1, 1);
        public static readonly System.TimeSpan TimeSpan = new System.TimeSpan(Int64.MinValue);
        public const Boolean Boolean = false;
        public const Double Double = System.Double.MinValue;

        public const DataTable DataTable = null;
        public const string IP = "0.0.0.0";
    }
}
