using System;
using System.Collections.Generic;
using System.Text;

namespace Rest
{
    /// <summary>
    /// Encapsulates an error encountered by a REST service
    /// </summary>
    public class RestServiceException : ApplicationException
    {
        /// <summary>
        /// ctor : String
        /// </summary>
        /// <param Name="message"></param>
        public RestServiceException(String message) : base(message) { }

        /// <summary>
        /// ctor : String, Exception
        /// </summary>
        /// <param Name="message"></param>
        public RestServiceException(String message, Exception innerException) : 
            base(message, innerException) { }
    }
}
