// zkBox JavaScript client
// http://www.zkbox.com/developers/client/javascript
// 
// Copyright 2010, Sorin Ostafiev
// http://www.ostafiev.com/
//
// Released under GPL version 3 license
// http://www.gnu.org/licenses/gpl-3.0.txt


// zkBox Maintenance
////////  core operations  ////////

$zkBox.maintenance.core.StartMaintenance = function(fnProgress, fnSuccess, fnError)
{
    if ($zkBox.logging) $zkBox.utils.log('[MAINTENANCE -> StartMaintenance]');

    // clear the cache
    $zkBox.utils.cache.clearAllItems();

    $zkBox.utils.runFunction("fnSuccess", fnSuccess)();
}


$zkBox.maintenance.core.StopMaintenance = function(fnProgress, fnSuccess, fnError)
{
    if ($zkBox.logging) $zkBox.utils.log('[MAINTENANCE -> StopMaintenance]');

    // clear the cache
    $zkBox.utils.cache.clearAllItems();

    $zkBox.utils.runFunction("fnSuccess", fnSuccess)();
}
