﻿// Bitground Software common helpers library
// http://www.bitground.com/
// 
// Copyright 2010, Sorin Ostafiev
// http://www.ostafiev.com/
// 
// Released under GPL version 3 license
// http://www.gnu.org/licenses/gpl-3.0.txt


using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Bitground.Common.Helpers
{
    public abstract class Debug
    {
        public static void Assert(bool condition)
        {
            if (false == condition)
            {
                Exception ex = new CException("Debug.Assert failed");
                Log.Exception(ex);
                throw ex;
            }
        }

        public static void Assert(bool condition, string msgFormat, params object[] args)
        {
            if (false == condition)
            {
                Exception ex = new CException("Debug.Assert failed: {0}", String.Format(msgFormat, args));
                Log.Exception(ex);
                throw ex;
            }
        }
    }
}
