﻿// Bitground Software common helpers library
// http://www.bitground.com/
// 
// Copyright 2010, Sorin Ostafiev
// http://www.ostafiev.com/
// 
// Released under GPL version 3 license
// http://www.gnu.org/licenses/gpl-3.0.txt


using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Bitground.Common.Helpers
{
    public static partial class Extensions
    {
        public static UInt16 FromBytes(this UInt16 i, byte b1, byte b2)
        {
            return (UInt16)
                ((((UInt16)b1) << 8) |
                (((UInt16)b2) << 0));
        }
    }

}
