﻿// Bitground Software common helpers library
// http://www.bitground.com/
// 
// Copyright 2010, Sorin Ostafiev
// http://www.ostafiev.com/
// 
// Released under GPL version 3 license
// http://www.gnu.org/licenses/gpl-3.0.txt


using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Bitground.Common.Helpers
{
    public abstract class Base64
    {
        #region Encode/Decode a Byte array to/from Base64 String

        // the output is a one-line base64 encoded string
        public static string ByteArrayToBase64String(byte[] ar)
        {
            return Convert.ToBase64String(ar);
        }

        public static byte[] Base64StringToByteArray(string b64)
        {
            return Convert.FromBase64String(b64);
        }

        #endregion    
    }
}
