using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

namespace Rest
{
    /// <summary>
    /// This class will encapsulate the schema of the XML returned from a service
    /// and provide an interfacewhich can be used for example to validate the returned
    /// XML and identify an exception response.
    /// </summary>
    public interface IRestServiceXmlValidator
    {
        /// <summary>
        /// Identifies an error response
        /// </summary>
        /// <param Name="xmlDocument"></param>
        /// <returns></returns>
        Boolean IsErrorResponse(XmlDocument xmlDocument);
    }
}
