@ECHO OFF

SET ZKBOX_API_AND_JQUERY_UNCOMPRESSED="%~dp0..\apiandjquery.uncompressed.js"
SET ZKBOX_API_AND_JQUERY_ALL_COMPRESSED="%~dp0..\apiandjquery.js"
ECHO Building %ZKBOX_API_AND_JQUERY_UNCOMPRESSED%...
CAT "%~dp0build_utf8marker.txt" > %ZKBOX_API_AND_JQUERY_UNCOMPRESSED%
:: // api version 1.0
ECHO /*!*************************************************** >> %ZKBOX_API_AND_JQUERY_UNCOMPRESSED%
ECHO  *   zkBox JavaScript client v1.0 + jQuery v1.3.2   * >> %ZKBOX_API_AND_JQUERY_UNCOMPRESSED%
ECHO  ****************************************************/ >> %ZKBOX_API_AND_JQUERY_UNCOMPRESSED%
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::





CALL :add-js jquery-1.3.2.js

CALL :add-js ..\api.uncompressed.js


CALL :compress-js %ZKBOX_API_AND_JQUERY_UNCOMPRESSED% %ZKBOX_API_AND_JQUERY_ALL_COMPRESSED%





:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:::::::::::::::::::::::::::::::::: BUILD JS :::::::::::::::::::::::::::::::::::
GOTO :EOF

:add-js
ECHO. >> %ZKBOX_API_AND_JQUERY_UNCOMPRESSED%
ECHO /************************************************ >> %ZKBOX_API_AND_JQUERY_UNCOMPRESSED%
ECHO **** %1 ***** >> %ZKBOX_API_AND_JQUERY_UNCOMPRESSED%
ECHO ************************************************/ >> %ZKBOX_API_AND_JQUERY_UNCOMPRESSED%
CALL :AppendToTextFile %ZKBOX_API_AND_JQUERY_UNCOMPRESSED% "%~dp0%1"
ECHO ; >> %ZKBOX_API_AND_JQUERY_UNCOMPRESSED%
ECHO. >> %ZKBOX_API_AND_JQUERY_UNCOMPRESSED%
ECHO. >> %ZKBOX_API_AND_JQUERY_UNCOMPRESSED%
GOTO :EOF

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:::::::::::::::::::::::::::::::::: COMMON ::::::::::::::::::::::::::::::::::
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:AppendToTextFile
:: Appending a file (utf8 encoded or not) to another file. 
:: Output will always be UTF8 encoded.
:: %1 must be the name of the result file
:: %2 must be the name of the file to be appended to the result file
SET UTF8MARKER="%~dp0build_utf8marker.txt"
IF EXIST %1 GOTO AppendToTextFileAlreadyExist

CAT %UTF8MARKER% > %1

:AppendToTextFileAlreadyExist

type %2 | head --bytes=3 | diff -q --binary - %UTF8MARKER% 2>&1 > NUL
IF ERRORLEVEL 1 GOTO AppendToTextFileNoUtf8Header
ECHO Appending utf8 file %2 to %1
::skip the utf8 header
dd bs=1 if=%2 skip=3 >> %1

GOTO :EOF

:AppendToTextFileNoUtf8Header
ECHO Appending non-utf8 file %2 to %1
cat -B %2 >> %1

GOTO :EOF

:compress-js
::TODO_LATER: make this more flexible !!!
SET TOOL_JAVA="c:\Program Files\Java\jre6\bin\java.exe"
SET COMMONLOCATION=d:\Projects\Common
SET JS_SRC=%1
SET JS_DEST=%2
ECHO Compressing js %JS_SRC% to %JS_DEST%
SET JS_COMPRESSOR=%TOOL_JAVA% -jar %COMMONLOCATION%\Tools\Misc\yuicompressor-2.4.2.jar
SET JS_COMPRESSOR_OPTIONS=--charset utf8 --type js -v --line-break 5000
ECHO executing: %JS_COMPRESSOR% %JS_COMPRESSOR_OPTIONS% %JS_SRC% -o %JS_DEST%
%JS_COMPRESSOR% %JS_COMPRESSOR_OPTIONS% %JS_SRC% -o %JS_DEST%
GOTO :eof
