﻿// zkBox JavaScript client
// http://www.zkbox.com/developers/client/javascript
// 
// Copyright 2010, Sorin Ostafiev
// http://www.ostafiev.com/
//
// Released under GPL version 3 license
// http://www.gnu.org/licenses/gpl-3.0.txt


// zkBox Applications
////////  core operations  ////////

$zkBox.applications.core.GetInfo = function(params, fnProgress, fnSuccess, fnError)
{
    if ($zkBox.logging) $zkBox.utils.log('[APPLICATIONS -> GetInfo] ({0})',
        $zkBox.utils.dump(params));

    params = jQuery.extend(
    {
    }, params);

    $zkBox.utils.runFunction("fnProgress", fnProgress)('Retrieving the application info');
    $zkBox.model.Call(false, false, "GET application/info", {},
        function(data)
        {
            $zkBox.utils.runFunction("fnProgress", fnProgress)('The application info was retrieved');
            $zkBox.utils.runFunction("fnSuccess", fnSuccess)(data);
        },
        function(error)
        {
            $zkBox.utils.runFunction("fnProgress", fnProgress)('Failure while getting the application info');
            $zkBox.utils.runFunction("fnError", fnError)(error);
        });
}
