﻿// zkBox JavaScript client
// http://www.zkbox.com/developers/client/javascript
// 
// Copyright 2010, Sorin Ostafiev
// http://www.ostafiev.com/
//
// Released under GPL version 3 license
// http://www.gnu.org/licenses/gpl-3.0.txt


// zkBox Batch
////////  core operations  ////////

$zkBox.batch.core.ExecuteBatch = function(batch, fnProgress, fnSuccess, fnError)
{
    if ($zkBox.logging) $zkBox.utils.log('[BATCH -> ExecuteBatch ({0})]',
        $zkBox.utils.dump(batch));

    fnProgress('Executing the batch');

    $zkBox.model.Call(false, true, "PUT batch", batch,
        function(data)
        {
            fnProgress('The batch was executed');

            fnSuccess(data);
        },
        function(error)
        {
            fnProgress('Failure while executing the batch');
            fnError(error);
        });
}
